VSTGUI 4.5 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | List of all members
UTF8StringView Class Reference

a view on a null terminated UTF-8 String More...

## Public Member Functions
| UTF8StringView ()
| UTF8StringView (const UTF8StringPtr string)
| UTF8StringView (const UTF8String &string)
| UTF8StringView (const std::string &string)
| UTF8StringView (const UTF8StringView &other) noexcept
UTF8StringView & | operator= (const UTF8StringView &other) noexcept
| UTF8StringView (UTF8StringView &&other) noexcept=default
UTF8StringView & | operator= (UTF8StringView &&other)=default
size_t | calculateByteCount () const
| calculates the bytes used by this string, including null-character More...
size_t | calculateCharacterCount () const
| calculates the number of UTF-8 characters in the string More...
bool | contains (const UTF8StringPtr subString, bool ignoreCase=false) const
| checks this string if it contains a subString More...
bool | startsWith (const UTF8StringView &startString) const
| checks this string if it starts with startString More...
bool | endsWith (const UTF8StringView &endString) const
| checks this string if it ends with endString More...
double | toDouble (uint32_t precision=8) const
| converts the string to a double More...
float | toFloat (uint32_t precision=8) const
| converts the string to a float More...
int64_t | toInteger () const
| converts the string to an integer More...
template<typename T >
Optional< T > | toNumber () const
bool | operator== (const UTF8StringPtr otherString) const
bool | operator!= (const UTF8StringPtr otherString) const
bool | operator== (UTF8StringView otherString) const
| operator const UTF8StringPtr () const

## Detailed Description

a view on a null terminated UTF-8 String

It does not copy the string. It's allowed to put null pointers into it. A null pointer is treaded different than an empty string as they are not equal and the byte count of a null pointer is zero while the empty string has a byte count of one.

## Constructor & Destructor Documentation

UTF8StringView | ( |  | ) |
| inline

UTF8StringView | ( | const UTF8StringPtr | string | ) |
| inline

UTF8StringView | ( | const UTF8String & | string | ) |
| inline

UTF8StringView | ( | const std::string & | string | ) |
| inline

UTF8StringView | ( | const UTF8StringView & | other | ) |
| inline noexcept

UTF8StringView | ( | UTF8StringView && | other | ) |
| default noexcept

## Member Function Documentation

size_t calculateByteCount | ( |  | ) | const
| inline

calculates the bytes used by this string, including null-character

size_t calculateCharacterCount | ( |  | ) | const
| inline

calculates the number of UTF-8 characters in the string

bool contains | ( | const UTF8StringPtr | subString,
|  | bool | ignoreCase = `false`
| ) |  | const
| inline

checks this string if it contains a subString

bool endsWith | ( | const UTF8StringView & | endString | ) | const
| inline

checks this string if it ends with endString

operator const UTF8StringPtr | ( |  | ) | const
| inline

bool operator!= | ( | const UTF8StringPtr | otherString | ) | const
| inline

UTF8StringView & operator= | ( | const UTF8StringView & | other | ) |
| inline noexcept

UTF8StringView& operator= | ( | UTF8StringView && | other | ) |
| default

bool operator== | ( | const UTF8StringPtr | otherString | ) | const
| inline

bool operator== | ( | UTF8StringView | otherString | ) | const
| inline

bool startsWith | ( | const UTF8StringView & | startString | ) | const
| inline

checks this string if it starts with startString

double toDouble | ( | uint32_t | precision = `8` | ) | const
| inline

converts the string to a double

float toFloat | ( | uint32_t | precision = `8` | ) | const
| inline

converts the string to a float

int64_t toInteger | ( |  | ) | const
| inline

converts the string to an integer

Optional< T > toNumber | ( |  | ) | const
| inline

The documentation for this class was generated from the following file:

- cstring.h